Overview | Modules | Class Hierarchy | Classes | Members

# tuliphash.h File Reference

`#include "tulip/tulipconf.h"`
`#include <hash_map>`
`#include <hash_set>`
`#include <string>`

Include dependency graph for tuliphash.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace stdext

## Classes

- struct stdext::hash< const std::string >
- struct stdext::hash< std::string >
- struct stdext::hash< double >

## Defines

- #define TLP_HASH_MAP stdext::hash_map
- #define TLP_HASH_SET stdext::hash_set
- #define TLP_BEGIN_HASH_NAMESPACE namespace stdext
- #define TLP_END_HASH_NAMESPACE

## Define Documentation

#define TLP_BEGIN_HASH_NAMESPACE namespace stdext

#define TLP_END_HASH_NAMESPACE

#define TLP_HASH_MAP stdext::hash_map

#define TLP_HASH_SET stdext::hash_set

Tulip Software by LaBRI Visualization Team 2001 - 2010